Bug 967870 - Inconsistent replies from FreeIPA to Netlogon ping queries
Inconsistent replies from FreeIPA to Netlogon ping queries
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.6
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On: 966504 967869 970024
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 08:57 EDT by Dmitri Pal
Modified: 2015-05-13 03:18 EDT (History)
9 users (show)

See Also:
Fixed In Version: ipa-3.0.0-31.el6
Doc Type: Bug Fix
Doc Text:
Cause: Identity Management server with Active Directory integration support configured replies differently from to NetLogon queries compared to Active Directory. Consequence: Unlike Active Directory at least the following differences in behavior are present: * No response to NetLogon query when querying over TCP based LDAP * Does not response when DnsDomain is not present in query. * Does not return a LDAP_RES_SEARCH_RESULT to sender when query does not match, just hangs. These differences may cause errors in tools sending the NetLogon queries. Fix: Fix the NetLogon query responder. Result: The above mentioned issues in NetLogon replies are no longer present.
Story Points: ---
Clone Of: 967869
Environment:
Last Closed: 2013-11-21 15:53:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2013-05-28 08:57:01 EDT
+++ This bug was initially created as a clone of Bug #967869 +++

+++ This bug was initially created as a clone of Bug #966504 +++

FreeIPA replies differently from windows to NetLogon pings (ie: MSCLDAP). Unlike Windows Server at least the following differences in behavior are present:

 * No response to NetLogon query when querying over TCP based LDAP, Windows 2003
   and Windows 2008 support this.
 * Does not response when DnsDomain is not present in query.
 * Does not return a LDAP_RES_SEARCH_RESULT to sender when query does not match,
   just hangs.

--- Additional comment from Stef Walter on 2013-05-23 07:43:13 EDT ---

Name        : freeipa-server
Arch        : i686
Version     : 3.2.0
Release     : 0.3.beta1.fc19
Size        : 3.9 M

*****
Successful query against FreeIPA v3:

$ ldapsearch -LL -H cldap://dc.gorn.thewalter.lan -b "" -s base '(&(DnsDomain=gorn.thewalter.lan)(NtVer=\06\00\00\00))' NetLogon
version: 1

dn:
netlogon:: FwAAAP0DAAAaisTz2xosQZtT2tzlZFE0BGdvcm4JdGhld2FsdGVyA2xhbgDAGAJkY8A
 YBEdPUk4ABFxcREMAABdEZWZhdWx0LUZpcnN0LVNpdGUtTmFtZQDAQBACAAAAfwAAAQAAAAAAAAAA
 AAUAAAD/////


*****
Query against IPA fails without DnsDomain and no result response, just hangs

$ ldapsearch -LL -H cldap://dc.gorn.thewalter.lan -b "" -s base '(&(NtVer=\06\00\00\00))' NetLogon
version: 1

^C


*****
Same query against Windows 2008, without DnsDomain

$ ldapsearch -LL -H cldap://win-fi8gnnit6cj.borg.thewalter.lan -b "" -s base '(&(NtVer=\06\00\00\00))' NetLogon
version: 1

dn:
netlogon:: FwAAAP0zAADaV8M2DuPySrqofvoxlEPhBGJvcmcJdGhld2FsdGVyA2xhbgDAGA9XSU4
 tRkk4R05OSVQ2Q0rAGARCT1JHAA9XSU4tRkk4R05OSVQ2Q0oAAAVFYXJ0aADAWAUAAAD/////

*****
Windows 2008 query with invalid DnsDomain, responds:

$ ldapsearch -LL -H cldap://win-fi8gnnit6cj.borg.thewalter.lan -b "" -s base '(&(DnsDomain=blah.com))' NetLogon
version: 1


*****
FreeIPA v3 query with invalid DnsDomain, hangs:

$ ldapsearch -LL -H cldap://dc.gorn.thewalter.lan -b "" -s base '(&(DnsDomain=blah.com))' NetLogon
version: 1

^C


*****
No response on LDAP from FreeIPA v3 to query that was successful via CLDAP:

$ ldapsearch -LL -x -H ldap://dc.gorn.thewalter.lan -b "" -s base '(&(DnsDomain=gorn.thewalter.lan)(NtVer=\06\00\00\00))' NetLogon
version: 1

--- Additional comment from Martin Kosek on 2013-05-23 08:36:16 EDT ---

Adding Sumit and Alexander to CC to advise.

--- Additional comment from Stef Walter on 2013-05-23 08:54:15 EDT ---

Backtrace of ns-slapd after not responding to a UDP query (ie: while ldapsearch is still hanging):

$ ldapsearch -LL -H cldap://dc.gorn.thewalter.lan -b "" -s base '(&(DnsDomain=blah.com))' NetLogon
version: 1

[root@dc stef]# gdb /usr/sbin/ns-slapd 4650
GNU gdb (GDB) Fedora (7.5.91.20130407-18.fc19)
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/sbin/ns-slapd...Reading symbols from /usr/sbin/ns-slapd...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Attaching to program: /usr/sbin/ns-slapd, process 4650
Reading symbols from /usr/lib/dirsrv/libslapd.so.0...Reading symbols from /usr/lib/dirsrv/libslapd.so.0...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/libslapd.so.0
Reading symbols from /lib/libkrb5.so.3...Reading symbols from /lib/libkrb5.so.3...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libkrb5.so.3
Reading symbols from /lib/libk5crypto.so.3...Reading symbols from /lib/libk5crypto.so.3...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libk5crypto.so.3
Reading symbols from /lib/libcom_err.so.2...Reading symbols from /usr/lib/debug/usr/lib/libcom_err.so.2.1.debug...done.
done.
Loaded symbols for /lib/libcom_err.so.2
Reading symbols from /lib/libpcre.so.1...Reading symbols from /lib/libpcre.so.1...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libpcre.so.1
Reading symbols from /lib/libldap_r-2.4.so.2...Reading symbols from /lib/libldap_r-2.4.so.2...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libldap_r-2.4.so.2
Reading symbols from /lib/liblber-2.4.so.2...Reading symbols from /lib/liblber-2.4.so.2...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/liblber-2.4.so.2
Reading symbols from /lib/libssl3.so...Reading symbols from /lib/libssl3.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libssl3.so
Reading symbols from /lib/libnss3.so...Reading symbols from /lib/libnss3.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libnss3.so
Reading symbols from /lib/libplc4.so...Reading symbols from /lib/libplc4.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libplc4.so
Reading symbols from /lib/libplds4.so...Reading symbols from /lib/libplds4.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libplds4.so
Reading symbols from /lib/libnspr4.so...Reading symbols from /lib/libnspr4.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libnspr4.so
Reading symbols from /lib/libsasl2.so.3...Reading symbols from /lib/libsasl2.so.3...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libsasl2.so.3
Reading symbols from /lib/libsvrcore.so.0...Reading symbols from /lib/libsvrcore.so.0...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libsvrcore.so.0
Reading symbols from /lib/libpthread.so.0...Reading symbols from /usr/lib/debug/lib/libpthread-2.17.so.debug...done.
done.
[New LWP 4752]
[New LWP 4751]
[New LWP 4691]
[New LWP 4690]
[New LWP 4689]
[New LWP 4688]
[New LWP 4687]
[New LWP 4686]
[New LWP 4685]
[New LWP 4684]
[New LWP 4683]
[New LWP 4682]
[New LWP 4681]
[New LWP 4680]
[New LWP 4679]
[New LWP 4678]
[New LWP 4677]
[New LWP 4676]
[New LWP 4675]
[New LWP 4674]
[New LWP 4673]
[New LWP 4672]
[New LWP 4671]
[New LWP 4670]
[New LWP 4669]
[New LWP 4668]
[New LWP 4667]
[New LWP 4666]
[New LWP 4665]
[New LWP 4664]
[New LWP 4663]
[New LWP 4662]
[New LWP 4661]
[New LWP 4660]
[New LWP 4659]
[New LWP 4658]
[New LWP 4657]
[New LWP 4656]
[New LWP 4655]
[New LWP 4654]
[New LWP 4653]
[New LWP 4652]
[New LWP 4651]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /lib/libc.so.6...Reading symbols from /usr/lib/debug/lib/libc-2.17.so.debug...done.
done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/libkrb5support.so.0...Reading symbols from /lib/libkrb5support.so.0...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libkrb5support.so.0
Reading symbols from /lib/libkeyutils.so.1...Reading symbols from /lib/libkeyutils.so.1...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libkeyutils.so.1
Reading symbols from /lib/libresolv.so.2...Reading symbols from /usr/lib/debug/lib/libresolv-2.17.so.debug...done.
done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /lib/ld-linux.so.2...Reading symbols from /usr/lib/debug/lib/ld-2.17.so.debug...done.
done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /lib/libsmime3.so...Reading symbols from /lib/libsmime3.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libsmime3.so
Reading symbols from /lib/libnssutil3.so...Reading symbols from /lib/libnssutil3.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libnssutil3.so
Reading symbols from /lib/libdl.so.2...Reading symbols from /usr/lib/debug/lib/libdl-2.17.so.debug...done.
done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libz.so.1...Reading symbols from /lib/libz.so.1...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libz.so.1
Reading symbols from /lib/librt.so.1...Reading symbols from /usr/lib/debug/lib/librt-2.17.so.debug...done.
done.
Loaded symbols for /lib/librt.so.1
Reading symbols from /lib/libcrypt.so.1...Reading symbols from /usr/lib/debug/lib/libcrypt-2.17.so.debug...done.
done.
Loaded symbols for /lib/libcrypt.so.1
Reading symbols from /lib/libselinux.so.1...Reading symbols from /lib/libselinux.so.1...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libselinux.so.1
Reading symbols from /lib/libfreebl3.so...Reading symbols from /lib/libfreebl3.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libfreebl3.so
Reading symbols from /lib/libnss_files.so.2...Reading symbols from /usr/lib/debug/lib/libnss_files-2.17.so.debug...done.
done.
Loaded symbols for /lib/libnss_files.so.2
Reading symbols from /usr/lib/dirsrv/plugins/libsyntax-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libsyntax-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libsyntax-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libbitwise-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libbitwise-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libbitwise-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libcollation-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libcollation-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libcollation-plugin.so
Reading symbols from /lib/libicui18n.so.50...Reading symbols from /lib/libicui18n.so.50...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libicui18n.so.50
Reading symbols from /lib/libicuuc.so.50...Reading symbols from /lib/libicuuc.so.50...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libicuuc.so.50
Reading symbols from /lib/libicudata.so.50...Reading symbols from /lib/libicudata.so.50...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libicudata.so.50
Reading symbols from /lib/libstdc++.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libstdc++.so.6
Reading symbols from /lib/libm.so.6...Reading symbols from /usr/lib/debug/lib/libm-2.17.so.debug...done.
done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /usr/lib/dirsrv/plugins/libpwdstorage-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libpwdstorage-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libpwdstorage-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libdes-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libdes-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libdes-plugin.so
Reading symbols from /usr/lib/sasl2/libsasldb.so...Reading symbols from /usr/lib/sasl2/libsasldb.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/sasl2/libsasldb.so
Reading symbols from /lib/libdb-5.3.so...Reading symbols from /lib/libdb-5.3.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libdb-5.3.so
Reading symbols from /usr/lib/sasl2/libanonymous.so...Reading symbols from /usr/lib/sasl2/libanonymous.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/sasl2/libanonymous.so
Reading symbols from /usr/lib/sasl2/libgssapiv2.so...Reading symbols from /usr/lib/sasl2/libgssapiv2.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/sasl2/libgssapiv2.so
Reading symbols from /lib/libgssapi_krb5.so.2...Reading symbols from /lib/libgssapi_krb5.so.2...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libgssapi_krb5.so.2
Reading symbols from /usr/lib/sasl2/libdigestmd5.so...Reading symbols from /usr/lib/sasl2/libdigestmd5.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/sasl2/libdigestmd5.so
Reading symbols from /lib/libcrypto.so.10...Reading symbols from /usr/lib/debug/usr/lib/libcrypto.so.1.0.1e.debug...done.
done.
Loaded symbols for /lib/libcrypto.so.10
Reading symbols from /usr/lib/sasl2/liblogin.so...Reading symbols from /usr/lib/sasl2/liblogin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/sasl2/liblogin.so
Reading symbols from /usr/lib/sasl2/libcrammd5.so...Reading symbols from /usr/lib/sasl2/libcrammd5.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/sasl2/libcrammd5.so
Reading symbols from /usr/lib/sasl2/libplain.so...Reading symbols from /usr/lib/sasl2/libplain.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/sasl2/libplain.so
Reading symbols from /usr/lib/dirsrv/plugins/libattr-unique-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libattr-unique-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libattr-unique-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libacctpolicy-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libacctpolicy-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libacctpolicy-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libacctusability-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libacctusability-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libacctusability-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libacl-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libacl-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libacl-plugin.so
Reading symbols from /usr/lib/dirsrv/libns-dshttpd.so.0...Reading symbols from /usr/lib/dirsrv/libns-dshttpd.so.0...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/libns-dshttpd.so.0
Reading symbols from /usr/lib/dirsrv/plugins/libautomember-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libautomember-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libautomember-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libchainingdb-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libchainingdb-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libchainingdb-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libcos-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libcos-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libcos-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libderef-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libderef-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libderef-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libdna-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libdna-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libdna-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libhttp-client-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libhttp-client-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libhttp-client-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libipa_dns.so...Reading symbols from /usr/lib/debug/usr/lib/dirsrv/plugins/libipa_dns.so.debug...done.
done.
Loaded symbols for /usr/lib/dirsrv/plugins/libipa_dns.so
Reading symbols from /usr/lib/dirsrv/plugins/libipa_lockout.so...Reading symbols from /usr/lib/debug/usr/lib/dirsrv/plugins/libipa_lockout.so.debug...done.
done.
Loaded symbols for /usr/lib/dirsrv/plugins/libipa_lockout.so
Reading symbols from /usr/lib/dirsrv/plugins/libipa_modrdn.so...Reading symbols from /usr/lib/debug/usr/lib/dirsrv/plugins/libipa_modrdn.so.debug...done.
done.
Loaded symbols for /usr/lib/dirsrv/plugins/libipa_modrdn.so
Reading symbols from /usr/lib/dirsrv/plugins/libipa_range_check.so...Reading symbols from /usr/lib/debug/usr/lib/dirsrv/plugins/libipa_range_check.so.debug...done.
done.
Loaded symbols for /usr/lib/dirsrv/plugins/libipa_range_check.so
Reading symbols from /usr/lib/dirsrv/plugins/libipa_sidgen.so...Reading symbols from /usr/lib/debug/usr/lib/dirsrv/plugins/libipa_sidgen.so.debug...done.
done.
Loaded symbols for /usr/lib/dirsrv/plugins/libipa_sidgen.so
Reading symbols from /usr/lib/dirsrv/plugins/libipa_uuid.so...Reading symbols from /usr/lib/debug/usr/lib/dirsrv/plugins/libipa_uuid.so.debug...done.
done.
Loaded symbols for /usr/lib/dirsrv/plugins/libipa_uuid.so
Reading symbols from /lib/libuuid.so.1...Reading symbols from /lib/libuuid.so.1...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libuuid.so.1
Reading symbols from /usr/lib/dirsrv/plugins/libipa_repl_version.so...Reading symbols from /usr/lib/debug/usr/lib/dirsrv/plugins/libipa_repl_version.so.debug...done.
done.
Loaded symbols for /usr/lib/dirsrv/plugins/libipa_repl_version.so
Reading symbols from /usr/lib/dirsrv/plugins/libipa_sidgen_task.so...Reading symbols from /usr/lib/debug/usr/lib/dirsrv/plugins/libipa_sidgen_task.so.debug...done.
done.
Loaded symbols for /usr/lib/dirsrv/plugins/libipa_sidgen_task.so
Reading symbols from /usr/lib/dirsrv/plugins/libipa_winsync.so...Reading symbols from /usr/lib/debug/usr/lib/dirsrv/plugins/libipa_winsync.so.debug...done.
done.
Loaded symbols for /usr/lib/dirsrv/plugins/libipa_winsync.so
Reading symbols from /usr/lib/dirsrv/plugins/libipa_cldap.so...Reading symbols from /usr/lib/debug/usr/lib/dirsrv/plugins/libipa_cldap.so.debug...done.
done.
Loaded symbols for /usr/lib/dirsrv/plugins/libipa_cldap.so
Reading symbols from /lib/libndr-nbt.so.0...Reading symbols from /lib/libndr-nbt.so.0...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libndr-nbt.so.0
Reading symbols from /lib/libndr.so.0...Reading symbols from /lib/libndr.so.0...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libndr.so.0
Reading symbols from /lib/libsamba-util.so.0...Reading symbols from /lib/libsamba-util.so.0...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libsamba-util.so.0
Reading symbols from /lib/libtevent.so.0...Reading symbols from /usr/lib/debug/usr/lib/libtevent.so.0.9.18.debug...done.
done.
Loaded symbols for /lib/libtevent.so.0
Reading symbols from /lib/libtalloc.so.2...Reading symbols from /usr/lib/debug/usr/lib/libtalloc.so.2.0.8.debug...done.
done.
Loaded symbols for /lib/libtalloc.so.2
Reading symbols from /usr/lib/samba/libsamba-security.so...Reading symbols from /usr/lib/samba/libsamba-security.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/samba/libsamba-security.so
Reading symbols from /usr/lib/samba/liberrors.so...Reading symbols from /usr/lib/samba/liberrors.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/samba/liberrors.so
Reading symbols from /lib/libbsd.so.0...Reading symbols from /lib/libbsd.so.0...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libbsd.so.0
Reading symbols from /usr/lib/dirsrv/plugins/libipa_enrollment_extop.so...Reading symbols from /usr/lib/debug/usr/lib/dirsrv/plugins/libipa_enrollment_extop.so.debug...done.
done.
Loaded symbols for /usr/lib/dirsrv/plugins/libipa_enrollment_extop.so
Reading symbols from /usr/lib/dirsrv/plugins/libipa_extdom_extop.so...Reading symbols from /usr/lib/debug/usr/lib/dirsrv/plugins/libipa_extdom_extop.so.debug...done.
done.
Loaded symbols for /usr/lib/dirsrv/plugins/libipa_extdom_extop.so
Reading symbols from /lib/libwbclient.so.0...Reading symbols from /lib/libwbclient.so.0...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libwbclient.so.0
Reading symbols from /lib/libsss_idmap.so.0...Reading symbols from /lib/libsss_idmap.so.0...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libsss_idmap.so.0
Reading symbols from /usr/lib/samba/libwinbind-client.so...Reading symbols from /usr/lib/samba/libwinbind-client.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/samba/libwinbind-client.so
Reading symbols from /usr/lib/dirsrv/plugins/libipa_pwd_extop.so...Reading symbols from /usr/lib/debug/usr/lib/dirsrv/plugins/libipa_pwd_extop.so.debug...done.
done.
Loaded symbols for /usr/lib/dirsrv/plugins/libipa_pwd_extop.so
Reading symbols from /usr/lib/dirsrv/plugins/libback-ldbm.so...Reading symbols from /usr/lib/dirsrv/plugins/libback-ldbm.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libback-ldbm.so
Reading symbols from /usr/lib/dirsrv/plugins/libreplication-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libreplication-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libreplication-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/liblinkedattrs-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/liblinkedattrs-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/liblinkedattrs-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libmanagedentries-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libmanagedentries-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libmanagedentries-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libmemberof-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libmemberof-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libmemberof-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libpam-passthru-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libpam-passthru-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libpam-passthru-plugin.so
Reading symbols from /lib/libpam.so.0...Reading symbols from /lib/libpam.so.0...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libpam.so.0
Reading symbols from /lib/libaudit.so.1...Reading symbols from /lib/libaudit.so.1...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libaudit.so.1
Reading symbols from /usr/lib/dirsrv/plugins/libpassthru-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libpassthru-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libpassthru-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libposix-winsync-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libposix-winsync-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libposix-winsync-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libreferint-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libreferint-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libreferint-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libretrocl-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libretrocl-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libretrocl-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libroles-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libroles-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libroles-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/librootdn-access-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/librootdn-access-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/librootdn-access-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/schemacompat-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/schemacompat-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/schemacompat-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libschemareload-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libschemareload-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libschemareload-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libstatechange-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libstatechange-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libstatechange-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libusn-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libusn-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libusn-plugin.so
Reading symbols from /usr/lib/dirsrv/plugins/libviews-plugin.so...Reading symbols from /usr/lib/dirsrv/plugins/libviews-plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/dirsrv/plugins/libviews-plugin.so
Reading symbols from /lib/libsoftokn3.so...Reading symbols from /lib/libsoftokn3.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libsoftokn3.so
Reading symbols from /lib/libsqlite3.so.0...Reading symbols from /lib/libsqlite3.so.0...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libsqlite3.so.0
Reading symbols from /lib/libnssdbm3.so...Reading symbols from /lib/libnssdbm3.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /lib/libnssdbm3.so
Reading symbols from /usr/lib/krb5/plugins/authdata/sssd_pac_plugin.so...Reading symbols from /usr/lib/krb5/plugins/authdata/sssd_pac_plugin.so...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/krb5/plugins/authdata/sssd_pac_plugin.so
0xb770e416 in __kernel_vsyscall ()
Missing separate debuginfos, use: debuginfo-install 389-ds-base-1.3.0.5-1.fc19.i686
(gdb) thread apply all bt

Thread 44 (Thread 0xb5bc9b40 (LWP 4651)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4bfd30f1 in select () at ../sysdeps/unix/syscall-template.S:81
#2  0x4110d5a1 in DS_Sleep () from /usr/lib/dirsrv/libslapd.so.0
#3  0xb7371568 in deadlock_threadmain ()
   from /usr/lib/dirsrv/plugins/libback-ldbm.so
#4  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#5  0x4c0ac9da in start_thread (arg=0xb5bc9b40) at pthread_create.c:308
#6  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 43 (Thread 0xb53c8b40 (LWP 4652)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4bfd30f1 in select () at ../sysdeps/unix/syscall-template.S:81
#2  0x4110d5a1 in DS_Sleep () from /usr/lib/dirsrv/libslapd.so.0
#3  0xb7371906 in checkpoint_threadmain ()
   from /usr/lib/dirsrv/plugins/libback-ldbm.so
#4  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#5  0x4c0ac9da in start_thread (arg=0xb53c8b40) at pthread_create.c:308
#6  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 42 (Thread 0xb4bc7b40 (LWP 4653)):
#0  0xb770e416 in __kernel_vsyscall ()
---Type <return> to continue, or q <return> to quit---
#1  0x4bfd30f1 in select () at ../sysdeps/unix/syscall-template.S:81
#2  0x4110d5a1 in DS_Sleep () from /usr/lib/dirsrv/libslapd.so.0
#3  0xb7371e88 in trickle_threadmain ()
   from /usr/lib/dirsrv/plugins/libback-ldbm.so
#4  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#5  0x4c0ac9da in start_thread (arg=0xb4bc7b40) at pthread_create.c:308
#6  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 41 (Thread 0xb43c6b40 (LWP 4654)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4bfd30f1 in select () at ../sysdeps/unix/syscall-template.S:81
#2  0x4110d5a1 in DS_Sleep () from /usr/lib/dirsrv/libslapd.so.0
#3  0xb73c4534 in perfctrs_wait () from /usr/lib/dirsrv/plugins/libback-ldbm.so
#4  0xb736bdee in perf_threadmain ()
   from /usr/lib/dirsrv/plugins/libback-ldbm.so
#5  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#6  0x4c0ac9da in start_thread (arg=0xb43c6b40) at pthread_create.c:308
#7  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 40 (Thread 0xb39ffb40 (LWP 4655)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b033c in pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:187
---Type <return> to continue, or q <return> to quit---
#2  0x4eab8b32 in PR_WaitCondVar () from /lib/libnspr4.so
#3  0x410ff0dd in slapi_wait_condvar () from /usr/lib/dirsrv/libslapd.so.0
#4  0xb75641ee in cos_cache_wait_on_change ()
   from /usr/lib/dirsrv/plugins/libcos-plugin.so
#5  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#6  0x4c0ac9da in start_thread (arg=0xb39ffb40) at pthread_create.c:308
#7  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 39 (Thread 0xb2fffb40 (LWP 4656)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4bfd040b in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb7506d72 in poll (__timeout=-1, __nfds=2, __fds=0xb2fff2c0)
    at /usr/include/bits/poll2.h:46
#3  ipa_cldap_worker (ctx=0x85e4638) at ipa_cldap_worker.c:320
#4  0x4c0ac9da in start_thread (arg=0xb2fffb40) at pthread_create.c:308
#5  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 38 (Thread 0xb27feb40 (LWP 4657)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b033c in pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:187
#2  0x4eab8b32 in PR_WaitCondVar () from /lib/libnspr4.so
#3  0x410ff0dd in slapi_wait_condvar () from /usr/lib/dirsrv/libslapd.so.0
---Type <return> to continue, or q <return> to quit---
#4  0xb7253240 in roles_cache_wait_on_change ()
   from /usr/lib/dirsrv/plugins/libroles-plugin.so
#5  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#6  0x4c0ac9da in start_thread (arg=0xb27feb40) at pthread_create.c:308
#7  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 37 (Thread 0xb1ffdb40 (LWP 4658)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b033c in pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:187
#2  0x4eab8b32 in PR_WaitCondVar () from /lib/libnspr4.so
#3  0x410ff0dd in slapi_wait_condvar () from /usr/lib/dirsrv/libslapd.so.0
#4  0xb7253240 in roles_cache_wait_on_change ()
   from /usr/lib/dirsrv/plugins/libroles-plugin.so
#5  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#6  0x4c0ac9da in start_thread (arg=0xb1ffdb40) at pthread_create.c:308
#7  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 36 (Thread 0xb17fcb40 (LWP 4659)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
---Type <return> to continue, or q <return> to quit---
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x08063bcc in housecleaning ()
#5  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#6  0x4c0ac9da in start_thread (arg=0xb17fcb40) at pthread_create.c:308
#7  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 35 (Thread 0xb0ffbb40 (LWP 4660)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x410a7847 in eq_loop () from /usr/lib/dirsrv/libslapd.so.0
#5  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#6  0x4c0ac9da in start_thread (arg=0xb0ffbb40) at pthread_create.c:308
#7  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 34 (Thread 0xb0669b40 (LWP 4661)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
---Type <return> to continue, or q <return> to quit---
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xb0669b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 33 (Thread 0xafe68b40 (LWP 4662)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xafe68b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 32 (Thread 0xaf667b40 (LWP 4663)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
---Type <return> to continue, or q <return> to quit---
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xaf667b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 31 (Thread 0xaee66b40 (LWP 4664)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xaee66b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 30 (Thread 0xae665b40 (LWP 4665)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
---Type <return> to continue, or q <return> to quit---
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xae665b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 29 (Thread 0xade64b40 (LWP 4666)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xade64b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 28 (Thread 0xad663b40 (LWP 4667)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
---Type <return> to continue, or q <return> to quit---
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xad663b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 27 (Thread 0xace62b40 (LWP 4668)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xace62b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 26 (Thread 0xac661b40 (LWP 4669)):
#0  0xb770e416 in __kernel_vsyscall ()
---Type <return> to continue, or q <return> to quit---
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xac661b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 25 (Thread 0xabe60b40 (LWP 4670)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xabe60b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 24 (Thread 0xab65fb40 (LWP 4671)):
---Type <return> to continue, or q <return> to quit---
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xab65fb40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 23 (Thread 0xaae5eb40 (LWP 4672)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xaae5eb40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

---Type <return> to continue, or q <return> to quit---
Thread 22 (Thread 0xaa65db40 (LWP 4673)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xaa65db40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 21 (Thread 0xa9e5cb40 (LWP 4674)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xa9e5cb40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131
---Type <return> to continue, or q <return> to quit---

Thread 20 (Thread 0xa965bb40 (LWP 4675)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xa965bb40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 19 (Thread 0xa8e5ab40 (LWP 4676)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xa8e5ab40) at pthread_create.c:308
---Type <return> to continue, or q <return> to quit---
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 18 (Thread 0xa8659b40 (LWP 4677)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xa8659b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 17 (Thread 0xa7e58b40 (LWP 4678)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
---Type <return> to continue, or q <return> to quit---
#7  0x4c0ac9da in start_thread (arg=0xa7e58b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 16 (Thread 0xa7657b40 (LWP 4679)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xa7657b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 15 (Thread 0xa6e56b40 (LWP 4680)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
---Type <return> to continue, or q <return> to quit---
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xa6e56b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 14 (Thread 0xa6655b40 (LWP 4681)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xa6655b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 13 (Thread 0xa5e54b40 (LWP 4682)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
---Type <return> to continue, or q <return> to quit---
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xa5e54b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 12 (Thread 0xa5653b40 (LWP 4683)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xa5653b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 11 (Thread 0xa4e52b40 (LWP 4684)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
---Type <return> to continue, or q <return> to quit---
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xa4e52b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 10 (Thread 0xa4651b40 (LWP 4685)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xa4651b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 9 (Thread 0xa3e50b40 (LWP 4686)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
---Type <return> to continue, or q <return> to quit---
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xa3e50b40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 8 (Thread 0xa364fb40 (LWP 4687)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xa364fb40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 7 (Thread 0xa2e4eb40 (LWP 4688)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
---Type <return> to continue, or q <return> to quit---
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xa2e4eb40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 6 (Thread 0xa264db40 (LWP 4689)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xa264db40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 5 (Thread 0xa1e4cb40 (LWP 4690)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b0724 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
---Type <return> to continue, or q <return> to quit---
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:250
#2  0x4eab85a6 in pt_TimedWait () from /lib/libnspr4.so
#3  0x4eab8aaa in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x0805ac09 in connection_wait_for_new_pb ()
#5  0x0805c384 in connection_threadmain ()
#6  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#7  0x4c0ac9da in start_thread (arg=0xa1e4cb40) at pthread_create.c:308
#8  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 4 (Thread 0xa164bb40 (LWP 4691)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4bfd30f1 in select () at ../sysdeps/unix/syscall-template.S:81
#2  0x4110d5a1 in DS_Sleep () from /usr/lib/dirsrv/libslapd.so.0
#3  0x0805d662 in time_thread ()
#4  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#5  0x4c0ac9da in start_thread (arg=0xa164bb40) at pthread_create.c:308
#6  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 3 (Thread 0xa0649b40 (LWP 4751)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b033c in pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:187
#2  0x4eab8b32 in PR_WaitCondVar () from /lib/libnspr4.so
---Type <return> to continue, or q <return> to quit---
#3  0x08067850 in ps_send_results ()
#4  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#5  0x4c0ac9da in start_thread (arg=0xa0649b40) at pthread_create.c:308
#6  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 2 (Thread 0x9fe48b40 (LWP 4752)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4c0b033c in pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:187
#2  0x4eab8b32 in PR_WaitCondVar () from /lib/libnspr4.so
#3  0x08067850 in ps_send_results ()
#4  0x4eabe802 in _pt_root () from /lib/libnspr4.so
#5  0x4c0ac9da in start_thread (arg=0x9fe48b40) at pthread_create.c:308
#6  0x4bfdca2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 1 (Thread 0xb76f1780 (LWP 4650)):
#0  0xb770e416 in __kernel_vsyscall ()
#1  0x4bfd040b in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0x4eaba616 in _pr_poll_with_poll () from /lib/libnspr4.so
#3  0x0806025c in slapd_daemon ()
#4  0x080533a5 in main ()
(gdb) 
(gdb) 
(gdb) 
(gdb) 
(gdb) 


Packet dump during this event:

$ sudo tcpdump -pnti virbr1 port 389
tcpdump: verbose output suppressed, use -v or -vv for full protocol decode
listening on virbr1, link-type EN10MB (Ethernet), capture size 65535 bytes
IP 192.168.20.1.49084 > 192.168.20.30.ldap: UDP, length 61

192.168.20.1 is my client machine's virbr1 inteface
192.168.20.30 is the FreeIPA server

--- Additional comment from Alexander Bokovoy on 2013-05-23 09:05:38 EDT ---

Thanks Stef.

I think the reason for this behavior is due to the fact that if daemons/ipa-slapi-plugins/ipa-cldap/ipa_cldap_netlogon.c:ipa_cldap_netlogon() return non-zero value we skip sending response. That would cover your issue with 'hanging' ldapsearch.

I think we may return empty response in the case we didn't find domain.

For TCP part, we only implemented UDP support since it was enough for AD DCs.

--- Additional comment from Martin Kosek on 2013-05-23 09:26:55 EDT ---

(In reply to Stef Walter from comment #3)
> Backtrace of ns-slapd after not responding to a UDP query (ie: while
> ldapsearch is still hanging):
> 

Hi Stef, thanks for taking care of the bug! I would just like to ask you to include such long outputs and backtraces as an attachement as pasting them directly to comment makes it very hard to navigate in the Bugzilla.

--- Additional comment from Martin Kosek on 2013-05-23 09:31:48 EDT ---

Looks like we need to do fixes in FreeIPA, I will clone a ticket.

--- Additional comment from Martin Kosek on 2013-05-23 09:40:02 EDT ---

Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3639
Comment 1 Martin Kosek 2013-05-28 10:11:13 EDT
Fixed upstream:

master:
1e224c2ea021f546aea83d56779268ca2e099c89 CLDAP: Return empty reply on non-fatal errors
b402b6d553bc4b19697bdcc7dab30cbc18971e28 CLDAP: Fix domain handling in netlogon requests

ipa-3-2:
2dd96732e157200742f45b42b9d932aa499a656a CLDAP: Return empty reply on non-fatal errors
c5d3f984216a3ee96c62bd1f0dcfc60fe80b34fa CLDAP: Fix domain handling in netlogon requests

ipa-3-1:
1657b1ed6c8c57638162f825d43fc684237f382f CLDAP: Return empty reply on non-fatal errors
2d6eb08c835e38d5b1d5142e0c19007018d1e719 CLDAP: Fix domain handling in netlogon requests
Comment 8 Steeve Goveas 2013-10-17 11:53:42 EDT
Verified in version
[root@dhcp207-85 ~]# rpm -q ipa-server
ipa-server-3.0.0-37.el6.x86_64

* ipa-adtrust-install to activate the CLDAP plugin of the directory server
[root@dhcp207-85 ~]# ipa-adtrust-install -a Secret123 --netbios-name TESTRELM -U

* Successful query with DnsDomain

[root@dhcp207-85 ~]# ldapsearch -LL  -H cldap://dhcp207-85.testrelm.com  -b "" -s base '(&(DnsDomain=testrelm.com)(NtVer=\06\00\00\00))' NetLogon
version: 1

dn:
netlogon:: FwAAAP0DAABzhtTFRu+nTqARu8fDKlvQCHRlc3RyZWxtA2NvbQDAGApkaGNwMjA3LTg
 1wBgIVEVTVFJFTE0ADFxcREhDUDIwNy04NQAAF0RlZmF1bHQtRmlyc3QtU2l0ZS1OYW1lAMBOEAIA
 AAB/AAABAAAAAAAAAAAABQAAAP////8=


* Successful query against IPA without DnsDomain and does not hang

[root@dhcp207-85 ~]# ldapsearch -LL  -H cldap://dhcp207-85.testrelm.com  -b "" -s base '(&(NtVer=\06\00\00\00))' NetLogon
version: 1

dn:
netlogon:: FwAAAP0DAABzhtTFRu+nTqARu8fDKlvQCHRlc3RyZWxtA2NvbQDAGApkaGNwMjA3LTg
 1wBgIVEVTVFJFTE0ADFxcREhDUDIwNy04NQAAF0RlZmF1bHQtRmlyc3QtU2l0ZS1OYW1lAMBOEAIA
 AAB/AAABAAAAAAAAAAAABQAAAP////8=

* Query with invalid DnsDomain, does not hang

[root@dhcp207-85 ~]# ldapsearch -LL -H cldap://dhcp207-85.testrelm.com -b "" -s base '(&(DnsDomain=blah.com))' NetLogon
version: 1

[root@dhcp207-85 ~]#

* Does not hang on LDAP from IPA to query that was successful via CLDAP

[root@dhcp207-85 ~]# ldapsearch -LL -x -H ldap://dhcp207-85.testrelm.com -w Secret123 -b "" -s base '(&(DnsDomain=testrelm.com)(NtVer=\06\00\00\00))' NetLogon
version: 1

[root@dhcp207-85 ~]#
Comment 10 errata-xmlrpc 2013-11-21 15:53:32 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1651.html

Note You need to log in before you can comment on or make changes to this bug.